Pour changer la version de PHP exécuté par votre espace mutualisé, notre infrastructure vous donne le choix entre ces 4 versions de PHP suivantes.


  • PHP 5.4
  • PHP 5.5
  • PHP 5.6
  • PHP 7.0

A noter : Certaines applications nécessitent une version précise de PHP pour fonctionner.

Pour modifier cette configuration, créez un fichier .htaccess à la racine de votre hébergement, puis insérez la ligne qui correspond à la version de php que vous souhaitez utiliser :


Pour PHP 5.4 :

 AddType application/x-httpd-php54 .php

 

Pour PHP 5.5 :

 AddType application/x-httpd-php55 .php

 

Pour PHP 5.6 :

AddType application/x-httpd-php56 .php

 

Pour PHP 7.0 :

AddType application/x-httpd-php7 .php

Une fois ces commandes effectuées, vous serez en mesure d’utiliser vos applications sans problème.